function halloween_party_menu_open_nav() {
	window.halloween_party_responsiveMenu=true;
	jQuery(".sidenav").addClass('show');
}
function halloween_party_menu_close_nav() {
	window.halloween_party_responsiveMenu=false;
 	jQuery(".sidenav").removeClass('show');
}

jQuery(function($){
 	"use strict";
 	jQuery('.main-menu > ul').superfish({
		delay: 500,
		animation: {opacity:'show',height:'show'},  
		speed: 'fast'
 	});
	$(window).scroll(function(){
		var sticky = $('.header-sticky'),
			scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('header-fixed');
		else sticky.removeClass('header-fixed');
	});
});

jQuery(document).ready(function () {
	window.halloween_party_currentfocus=null;
  	halloween_party_checkfocusdElement();
	var halloween_party_body = document.querySelector('body');
	halloween_party_body.addEventListener('keyup', halloween_party_check_tab_press);
	var halloween_party_gotoHome = false;
	var halloween_party_gotoClose = false;
	window.halloween_party_responsiveMenu=false;
 	function halloween_party_checkfocusdElement(){
	 	if(window.halloween_party_currentfocus=document.activeElement.className){
		 	window.halloween_party_currentfocus=document.activeElement.className;
	 	}
 	}
 	function halloween_party_check_tab_press(e) {
		"use strict";
		// pick passed event or global event object if passed one is empty
		e = e || event;
		var activeElement;

		if(window.innerWidth < 999){
		if (e.keyCode == 9) {
			if(window.halloween_party_responsiveMenu){
			if (!e.shiftKey) {
				if(halloween_party_gotoHome) {
					jQuery( ".main-menu ul:first li:first a:first-child" ).focus();
				}
			}
			if (jQuery("a.closebtn.mobile-menu").is(":focus")) {
				halloween_party_gotoHome = true;
			} else {
				halloween_party_gotoHome = false;
			}

		}else{

			if(window.halloween_party_currentfocus=="responsivetoggle"){
				jQuery( "" ).focus();
			}}}
		}
		if (e.shiftKey && e.keyCode == 9) {
		if(window.innerWidth < 999){
			if(window.halloween_party_currentfocus=="header-search"){
				jQuery(".responsivetoggle").focus();
			}else{
				if(window.halloween_party_responsiveMenu){
				if(halloween_party_gotoClose){
					jQuery("a.closebtn.mobile-menu").focus();
				}
				if (jQuery( ".main-menu ul:first li:first a:first-child" ).is(":focus")) {
					halloween_party_gotoClose = true;
				} else {
					halloween_party_gotoClose = false;
				}
			
			}else{

			if(window.halloween_party_responsiveMenu){
			}}}}
		}
	 	halloween_party_checkfocusdElement();
	}
});

jQuery('document').ready(function($){
  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);
});

jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
});

 /*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});


/*sticky copyright*/
jQuery(window).on('scroll', function() {
  var $sticky = jQuery('.copyright-sticky');
  if ($sticky.length === 0) return;

  var scrollTop = jQuery(window).scrollTop();
  var windowHeight = jQuery(window).height();
  var documentHeight = jQuery(document).height();

  var isBottom = scrollTop + windowHeight >= documentHeight - 100;

  if (scrollTop >= 100 && !isBottom) {
    $sticky.addClass('copyright-fixed');
  } else {
    $sticky.removeClass('copyright-fixed');
  }
});

jQuery(document).ready(function () {
	jQuery( ".nav-link" ).first().addClass( "active" );
});

function halloween_party_tab_open(evt, cityName) {
  var i, tabcontent, tablinks;
  tabcontent = document.getElementsByClassName("tab-pane");
  for (i = 0; i < tabcontent.length; i++) {
    tabcontent[i].style.display = "none";
  }
  tablinks = document.getElementsByClassName("nav-link");
  for (i = 0; i < tablinks.length; i++) {
    tablinks[i].className = tablinks[i].className.replace(" active", "");
  }
  jQuery(cityName).show()
  evt.currentTarget.className += " active";
}

jQuery(document).ready(function () {
	jQuery('.tab-pane').hide();
	jQuery('.tab-pane:first').show();
});
/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const halloween_party_progressBar =
        document.getElementById("halloween_party_elemento_progress_bar");
    if (!halloween_party_progressBar) return;
    window.addEventListener("scroll", function () {
        const halloween_party_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const halloween_party_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const halloween_party_scrolled =
            (halloween_party_scrollTop / halloween_party_height) * 100;
        halloween_party_progressBar.style.width =
            halloween_party_scrolled + "%";
    });
});